<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8"/>
  <title>Canvas Lighting Demo</title>
  <script lang="js" src="./index.js"></script>
</head>
<body>
  <canvas id="the-canvas" ></canvas>
  <div>
    <h1>Controls</h1>
    <h2>Light Color</h2>
    <div>
      <div>
        <input type="range" min="16" max="255" value="255" id="light-color-r" />
        <label for="light-color-r">Red</label>
      </div>
      <div>
        <input type="range" min="16" max="255" value="255" id="light-color-g" />
        <label for="light-color-g">Green</label>
      </div>
      <div>
        <input type="range" min="16" max="255" value="255" id="light-color-b" />
        <label for="light-color-b">Blue</label>
      </div>
      <div>
        <input type="range" min="16" max="255" value="255" id="light-color-a" />
        <label for="light-color-a">Alpha/Intensity</label>
      </div>
    </div>
    <h2>Position</h2>
    <div>
      <input type="range" min="0" max="200" value="100" id="light-pos-x" />
      <label for="light-pos-x">Light Position X</label>
    </div>
    <div>
      <input type="range" min="0" max="200" value="100" id="light-pos-y" />
      <label for="light-pos-y">Light Position Y</label>
    </div>
  </div>
</body>
</html>